Subject: 24.4.51; Isearch is broken in comints which relly on regexp

From: Vitalie Spinu <[email-masked]>
Date: Wed, 28 Jan 2015 10:10:02 +0100

Recent changes to commit to allow for multiline search assume fields
throughout. The common case when comint-use-prompt-regexp is non-nil is
not captured.

To see the problem start shell and issue a couple of commands. Then
(setq comint-use-prompt-regexp t), and add a couple of RETs. Then try M-r.

You should see "Regexp history I-search backward:" several lines above
where it should be and isearch will not work as expected.

If you restart your shell, you will not even see the "Regexp history
I-search backward:" as there are no fields in the buffer.

  Vitalie

-----

In GNU Emacs 24.4.51.2 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)
 of 2015-01-28 on galago
Repository revision: 9664defd262252faf037c5fe1ea095f1cc4b308b
Windowing system distributor `The X.Org Foundation', version 11.0.11600000
System Description:	Ubuntu 14.10